Subject: Re: bug#25390: Segfault with sed 4.3

From: "S. Gilles" <[email-masked]>
Date: Sun, 8 Jan 2017 20:17:34 -0500

On 2017-01-08T12:49:42-0800, Paul Eggert wrote:
> Assaf Gordon wrote:
> > The immediate cause is somewhere in gnulib's DFA module.
> 
> The bug was introduced in Gnulib, in commit
> 403adf1b40897ba108075008c10bd38d937e1539 dated 2016-11-25 and labeled "dfa:
> addition of new state on demand". It's not a bug that grep runs into, since
> grep doesn't use the newline transition that sed does. I installed the
> attached patch to fix the Gnulib bug. I'll leave Bug#25390 open, as I assume
> you'll want to check it for 'sed' and add a test case for 'sed'.

I applied the patch (after some line number tweaks) on top of the 4.3
release tarball, and I can confirm that this fixes the issue for me.
Thanks for the quick fix!

-- 
S. Gilles